Class | XSD::XSDDuration
In: | xsd/datatypes.rb
Parent: | XSDAnySimpleType

### Methods

new

### Constants

Type | = | QName.new(Namespace, DurationLiteral)

### Attributes

day | [RW] |
hour | [RW] |
min | [RW] |
month | [RW] |
sec | [RW] |
sign | [RW] |
year | [RW] |

### Public Class methods

new(value = nil)

[Source]

    # File xsd/datatypes.rb, line 433
      def initialize(value = nil)
        init(Type, value)
      end

[Validate]